canvas{
  border : 1px solid black ;
}
table#table_input{
  width : 50% ;
  min-width : 400px ;
  margin : auto ;
  font : 16pt arial , sans-serif ;
  border-radius : 1em ;
}
th.th_input{
  background-color : #006633 ;
  background-color : #000000 ;
  color : #ffffff ;
  width : 250px ;
  padding : 0.5em ;
  border : 1px solid black ;
}
th#th_rule{
  border-top-left-radius : 1em ;
}
th#th_submit{
  border-bottom-left-radius : 1em ;
}
td#td_rule{
  border-top-right-radius : 1em ;
}
td#td_submit{
  border-bottom-right-radius : 1em ;
}
td.td_input{
  width : 150px ;
  padding : 0.5em ;
  border : 1px solid black ;
  text-align : center ;
}
input#input_rule, input#input_n, input#input_color{
  width : 120px ;
  text-align : center ;
  height : 20px ;
  font : inherit ;
}
td#td_submit{
  text-align : center ;
}
a:visited{
  color : #006633 ;
}

button#button_createPattern{
  font : 16pt arial , sans-serif ;
}
img#img_sample{
  margin : auto ;
}
div#wrapper_div{
  text-align : center ;
}

